# pyjelly

!!! warning "pyjelly is in early development!"
    The API is unstable and breaking changes may occur in the coming weeks.

**pyjelly** is a Python implementation of [Jelly]({{ proto_link("") }}), a high-performance binary serialization format and streaming protocol for RDF knowledge graphs. 

Below is a list of all documentation pages about pyjelly, including installation instructions, API reference, and examples.

- **[Getting started](getting-started.md)**: Installation instructions and basic usage examples.
- **[Overview](overview.md)**: An introduction to the Jelly protocol and the pyjelly library.
- **[API reference](api.md)**: Detailed documentation of the pyjelly API, including classes, methods, and functions.
- **[Contributing](contributing/index.md)**: Guidelines for contributing to the pyjelly project, including how to report issues, submit pull requests, and participate in discussions.
- **[Code of conduct](contributing/code_of_conduct.md)**: The code of conduct for the pyjelly community, outlining expected behavior and guidelines for respectful interactions.

## License

The pyjelly library is licensed under the [Apache 2.0 license](https://github.com/Jelly-RDF/pyjelly/blob/{{ git_tag() }}/LICENSE).

## Commercial and community support

**[NeverBlink](https://neverblink.eu)** provides commercial support services for Jelly, including implementing custom features, system integrations, implementations for new frameworks, benchmarking, and more.

Community support is available on the **[Jelly Discord chat](https://discord.gg/A8sN5XwVa5)**.

----

The development of the Jelly protocol, its implementations, and supporting tooling was co-funded by the European Union. **[More details]({{ proto_link( 'licensing/projects' ) }})**.

![European Funds for Smart Economy, Republic of Poland, Co-funded by the European Union](assets/featured/feng_rp_eu.png)